Bug 41011 - Просьба обновить версию npm до 7.24.1
Summary: Просьба обновить версию npm до 7.24.1
Status: NEW
Alias: None
Product: Sisyphus
Classification: Development
Component: npm (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Vitaly Lipatov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-26 21:50 MSK by Andrew Vasilyev
Modified: 2021-09-27 21:48 MSK (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Vasilyev 2021-09-26 21:50:30 MSK
Современная версия 7.24.1, в Сизифе - 6.14.14
Comment 1 Vitaly Lipatov 2021-09-26 23:19:48 MSK
(Ответ для Andrew Vasilyev на комментарий #0)
> Современная версия 7.24.1, в Сизифе - 6.14.14
А что именно вам нужно от новой версии?

В репозитории тот npm, который поставляется с соответствующим nodejs:
https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V14.md#14.17.6
Comment 2 Andrew Vasilyev 2021-09-26 23:30:55 MSK
(Ответ для Vitaly Lipatov на комментарий #1)
> А что именно вам нужно от новой версии?

  Например, tutanota требует

"npm": ">=7.0.0"

> В репозитории тот npm, который поставляется с соответствующим nodejs:
> https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V14.
> md#14.17.6

  Т.е. у нас и nodejs очень старый? :(
Comment 3 Vitaly Lipatov 2021-09-27 15:11:44 MSK
(Ответ для Andrew Vasilyev на комментарий #2)
> (Ответ для Vitaly Lipatov на комментарий #1)
> > А что именно вам нужно от новой версии?
> 
>   Например, tutanota требует
> 
> "npm": ">=7.0.0"
Может быть, обманывают? А вы на неё yarn натравите :)
Я не хотел бы разделять целостность nodejs, по какой-то причине в LTS они держат ту версию npm, которую держат.
 
> > В репозитории тот npm, который поставляется с соответствующим nodejs:
> > https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V14.
> > md#14.17.6
> 
>   Т.е. у нас и nodejs очень старый? :(
Не очень старый, а 
«Active LTS and are ready for general use.»
В течение месяца заменю на nodejs 16, который как раз станет LTS.
Согласен, что мы в Сизифе, поэтому постараюсь побыстрее.
Comment 4 Andrew Vasilyev 2021-09-27 21:48:49 MSK
  Спасибо, подожду.